org.apache.commons.math.ode.events

## Class EventState.EmbeddedDerivativeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.commons.math.ode.events.EventState.EmbeddedDerivativeException

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    EventState

      private static class EventState.EmbeddedDerivativeException
      extends RuntimeException

  Local exception for embedding DerivativeException.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private DerivativeException` | `derivativeException` Embedded exception.
    `private static long` | `serialVersionUID` Serializable UID.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventState.EmbeddedDerivativeException(DerivativeException derivativeException)` Simple constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DerivativeException` | `getDerivativeException()` Get the embedded exception.

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Serializable UID.
      See Also:
        Constant Field Values

    - #### derivativeException

          private final DerivativeException derivativeException

      Embedded exception.

  - ### Constructor Detail

    - #### EventState.EmbeddedDerivativeException

          public EventState.EmbeddedDerivativeException(DerivativeException derivativeException)

      Simple constructor.
      Parameters:
        `derivativeException` - embedded exception

  - ### Method Detail

    - #### getDerivativeException

          public DerivativeException getDerivativeException()

      Get the embedded exception.
      Returns:
        embedded exception

Copyright (c) 2003-2013 Apache Software Foundation